resource "vsphere_content_library" "library" {
  name            = "OVA appliances"
  storage_backing        = flatten([
    data.vsphere_datastore.cldatastore.id
  ])
}

resource "vsphere_content_library_item" "Server2019" {
  name        = "Windows-Server-2019-LTSC"
  library_id  = vsphere_content_library.library.id
  file_url    = "https://{{user `repo_username`}}:{{user `repo_password`}}@sn.itch.fyi/Repository/rel/Windows-Server-2019-LTSC.ova"
}
resource "vsphere_content_library_item" "ADCS" {
  name        = "ADCS-appliance"
  library_id  = vsphere_content_library.library.id
  file_url    = "https://{{user `repo_username`}}:{{user `repo_password`}}@sn.itch.fyi/Repository/rel/ADCS-appliance.ova"
}
resource "vsphere_content_library_item" "ADDS" {
  name        = "ADDS-appliance"
  library_id  = vsphere_content_library.library.id
  file_url    = "https://{{user `repo_username`}}:{{user `repo_password`}}@sn.itch.fyi/Repository/rel/ADDS-appliance.ova"
}

resource "vsphere_content_library_item" "Win10" {
  name        = "Windows 10"
  library_id  = vsphere_content_library.library.id
  file_url    = "https://{{user `repo_username`}}:{{user `repo_password`}}@sn.itch.fyi/Repository/rel/Windows10.ova"
}